%define name gtkfaim
%define version 0.0c
%define release 1
%define prefix /usr

Summary: Gtk clone of AOL's AIM client.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: X11/Applications/Networking
URL: http://delphid.ml.org/faim
Vendor: Adam Fritzler <afritz@delphid.ml.org>
Source: %{name}-%{version}.tar.gz
Source1: %{name}-logos-18oct1998.tar.gz
Source2: %{name}-sounds-for-0.03-and-up.tar.gz
Distribution: Freshmeat RPMs
Requires: gtk+ >= 1.1.2
Packager: Ryan Weaver <ryanw@infohwy.com>
Prefix: %{prefix}
BuildRoot: /tmp/%{name}-%{version}

%description
This is a clone of AOL's AIM client for communicating in a near-real-time
way between two members of the OSCAR/AIM service.  

It is meant to be a clean, fast, and relativly small clone of the AIM Java 
client for use on UNIX/UNIX-based systems (ie, Linux, *BSD, etc).  It is
currently only available with a grapical interface based on the GTK+ GUI
library for the X Windows System.  An ncurses-based console/text-only
version is planned, though.  (See 'RELATED PROJECTS' below if you have
other needs at the moment.)

Developers
----------
Adam Fritzler (afritz@delphid.ml.org, 'midendian' on AIM)
  The originator
Stephen Kiernan (sab@vegamuse.org, 'Sabanok')
  Lots of work
Thomas Muldowney (temas@tamu.edu, 'VryDmbName')
  UI work and gnomeification
James Mastros (theorb@delphid.ml.org 'TheOrbTwo')
  cross FAIM configuration options
Ben Stern (bstern@glue.umd.edu)
  Loading of names with spaces from faimrc
Josh M. (shorti9@usa.net, 'foqz9')
  Hex values for version 
Garrett LeSage (garrett@segfault.org)
  Made one of the cool logos

%prep
%setup -q -a 1 -a 2

./configure --prefix=%{prefix}

%build
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,lib/gtkfaim,share/pixmaps}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

install -o 0 -g 0 -m 644 faimrc_sample $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 644 gtkrc_sample $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim

install -o 0 -g 0 -m 644 logos/faimlogo-garrett.xpm $RPM_BUILD_ROOT%{prefix}/share/pixmaps
install -o 0 -g 0 -m 644 logos/logo-soren.gif $RPM_BUILD_ROOT%{prefix}/share/pixmaps
install -o 0 -g 0 -m 644 logos/gtkfaimlogo-gerard.xpm $RPM_BUILD_ROOT%{prefix}/share/pixmaps
install -o 0 -g 0 -m 644 logos/gtkfaimlogo-joshgo.xpm $RPM_BUILD_ROOT%{prefix}/share/pixmaps
install -o 0 -g 0 -m 644 logos/logo-soren.xpm $RPM_BUILD_ROOT%{prefix}/share/pixmaps
install -o 0 -g 0 -m 644 gtkfaim-sounds-for-0.03pre7/README $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim/README-sounds
install -o 0 -g 0 -m 644 gtkfaim-sounds-for-0.03pre7/faimrc_withsound $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 644 gtkfaim-sounds-for-0.03pre7/buddylist_offgoing.au $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 644 gtkfaim-sounds-for-0.03pre7/buddylist_oncoming.au $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 644 gtkfaim-sounds-for-0.03pre7/icbm_recv.au $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 644 gtkfaim-sounds-for-0.03pre7/icbm_send.au $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 644 gtkfaim-sounds-for-0.03pre7/login_success.au $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 755 gtkfaim-sounds-for-0.03pre7/onincomingicbm $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 755 gtkfaim-sounds-for-0.03pre7/onjoin $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 755 gtkfaim-sounds-for-0.03pre7/onleave $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 755 gtkfaim-sounds-for-0.03pre7/onlogin $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim
install -o 0 -g 0 -m 755 gtkfaim-sounds-for-0.03pre7/onoutgoingicbm $RPM_BUILD_ROOT%{prefix}/lib/gtkfaim

cp gtkfaim-sounds-for-0.03pre7/README gtkfaim-sounds-for-0.03pre7/README-sounds

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO faimrc_sample gtkrc_sample
%doc gtkfaim-sounds-for-0.03pre7/README-sounds
%doc gtkfaim-sounds-for-0.03pre7/faimrc_withsound
%attr(755,root,root) %{prefix}/bin/gtkfaim
%attr(755,root,root) %dir %{prefix}/lib/gtkfaim
%attr(644,root,root) %{prefix}/lib/gtkfaim/faimrc_sample
%attr(644,root,root) %{prefix}/lib/gtkfaim/gtkrc_sample
%attr(644,root,root) %{prefix}/lib/gtkfaim/README-sounds
%attr(644,root,root) %{prefix}/lib/gtkfaim/faimrc_withsound
%attr(644,root,root) %{prefix}/lib/gtkfaim/buddylist_offgoing.au
%attr(644,root,root) %{prefix}/lib/gtkfaim/buddylist_oncoming.au
%attr(644,root,root) %{prefix}/lib/gtkfaim/icbm_recv.au
%attr(644,root,root) %{prefix}/lib/gtkfaim/icbm_send.au
%attr(644,root,root) %{prefix}/lib/gtkfaim/login_success.au
%attr(755,root,root) %{prefix}/lib/gtkfaim/onincomingicbm
%attr(755,root,root) %{prefix}/lib/gtkfaim/onjoin
%attr(755,root,root) %{prefix}/lib/gtkfaim/onleave
%attr(755,root,root) %{prefix}/lib/gtkfaim/onlogin
%attr(755,root,root) %{prefix}/lib/gtkfaim/onoutgoingicbm
%attr(644,root,root) %{prefix}/share/pixmaps/faimlogo-garrett.xpm
%attr(644,root,root) %{prefix}/share/pixmaps/logo-soren.gif
%attr(644,root,root) %{prefix}/share/pixmaps/gtkfaimlogo-gerard.xpm
%attr(644,root,root) %{prefix}/share/pixmaps/gtkfaimlogo-joshgo.xpm
%attr(644,root,root) %{prefix}/share/pixmaps/logo-soren.xpm

%changelog
* Wed Dec 16 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtkfaim-0.0c-1]
- First RPM
- Including logos archive and gtkfaim-sounds.
- Sat Nov 14 16:43:21 EST 1998
  - Rewrote the buddylist code.  There is now a list for buddies and
    a list for groups which is used to construct the monitor tree and
    to manage buddies in a group. (SJK)
  - New buddylist code required fixing up code in other files,
    many of the gtkFAIM C files were touched. (SJK)
- Sat Nov 14 18:02:56 EST 1998
  - Buddy and group reordering in manage tree now works properly -- the code
    is much nicer because of the rewrite. (SJK)
- Sun Nov 15 02:21:04 EST 1998
  - Rearranged and cleaned up gtkfaim.h (SJK)
- Sun Nov 15 17:32:55 EST 1988
  - Added buttons for adding/removing buddies and groups -- removing groups
    doesn't work yet. (SJK)
- Mon Nov 16 02:48:10 EST 1998
  - Inform OSCAR/AIM server of buddylist change -- doesn't seem to quite
    work as expected, yet. (SJK)
- Mon Nov 16 04:30:10 EST 1998
  - Added aim_add_buddy and aim_remove_buddy to libfaim. (SJK)
  - Informing OSCAR/AIM server of buddylist changes now works. (SJK)
- Tue Nov 17 00:33:20 EST 1998
  - Removing groups in manage tree works now. (SJK)
  - Fixed bug with Temporary grouping -- was showing up on list when
    it shouldn't have been. (SJK)
- Wed Nov 18 03:26:16 EST 1998
  - Fixed more bugs with Temporary grouping.  I think I've squashed them
    all for this situation. (SJK)
  - Added icon next to buddy screen name when they signon.  Delay time is
    settable in config.h (SJK)
- Fri Nov 20 03:10:12 EST 1998
  - Switched us over to aclocal, automake, autoconf this should make things
    a touch easier and a touch nicer. (TJM)
  - This now compiles on CVS gnome and is still stable. (TJM)
  - Created a INSTALL file and editted a few others for the auto stuff (TJM)
  - Redid the faimrc_sample so it uses the current style. (TJM)
  - Left some notes in the NEWS file, check them out. (TJM)
- Fri Nov 20 22:06:55 EST 1998
  - Fixed the bug that made it so non gnome systems wouldn't compile (TJM)
- Sat Nov 21 13:50:32 EST 1998
  - Buddylist now does not shift names when the door icon goes a way (SJK)
  - Moved CHANGES file to ChangeLog for autoconf (TJM)
  - Autoconf now checks to make sure that the user has CVS gnome (TJM)
- Wed Dec  2 23:14:28 MST 1998
  - Added the readonly config option to keywords.h (to make it actually work)
  - Made faimrc_sample set readonly by default (ASF)
  - Fixed minor things in INSTALL (ASF)
  - Did a quick review and change of README--probably didn't get it all
	up-to-date, but they'll survive (ASF)
- Thu Dec 2 09:13:10 CST 1998
  - Fixed the distribution so it works (TJM)
